<div class="ibox-content">
    <form name="itemForm" novalidate ng-submit="vm.save(itemForm.$valid, vm.item)">
        <div class="row clearfix">
            <div class="form-group col-sm-4">
                <div ngf-drop ngf-select name="image"
                     ng-disabled="(vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']) || vm.item.viewOnly"
                     ng-model="image"
                     ngf-model-invalid="errorFile"
                     ratio="'1:1~0.1'"
                     class="img-drop-box center-block"
                     ngf-drag-over-class="'dragover'"
                     ngf-multiple="false"
                     ngf-allow-dir="false"
                     accept="image/*"
                     ngf-pattern="'image/*'"
                     ng-required="!vm.meta.exist">

                    <span ng-if="!image">Item image</span>
                    <div class="img-preview" ng-if="image || vm.item.image"
                         ngf-src="image || vm.item.image"
                         ngf-background="image || vm.item.image"
                         ngf-resize="{width: 150, height: 150, quality: 0.9}"
                         ngf-no-object-url="false"></div>
                </div>
                <span ng-if="inProgress">Uploading in progress...</span>
                <ng-messages for="itemForm.image.$error" role="alert" class="center-block text-center">
                    <ng-message ng-if="submitted" when="required">Image is required!</ng-message>
                    <ng-message ng-if="submitted" when="minSize">Image size must be greater than 10 kb</ng-message>
                    <ng-message ng-if="submitted" when="maxSize">Image size must be less than 2 Mb</ng-message>
                    <ng-message ng-if="submitted" when="pattern">Incorrect file type. Only images accepted!</ng-message>
                    <ng-message ng-if="submitted" when="ratio">Incorrect aspect ratio.</ng-message>
                    <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>

            <div class="col-sm-8" style="padding-left: 0; padding-right: 0;">
                <div class="form-group col-md-12">
                    <label>Name</label>
                    <input type="text" name="name" class="form-control" ng-model="vm.item.name"
                           ng-disabled="vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']"
                           placeholder="Enter item name" ng-maxlength="255"
                           ng-readonly="vm.item.viewOnly"
                           required  />
                    <ng-messages for="itemForm.name.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>

                <div class="form-group col-md-6">
                    <label>Brand</label>
                    <input type="text" name="brand" class="form-control" ng-model="vm.item.brand"
                           ng-disabled="vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']"
                           placeholder="Enter brand name" ng-maxlength="255"
                           ng-readonly="vm.item.viewOnly"
                           required  />
                    <ng-messages for="itemForm.brand.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label>Barcode</label>
                        <input type="text" name="barcode" class="form-control" ng-model="vm.item.barCode"
                               ng-disabled="(vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']) || vm.meta.checking"
                               placeholder="Enter Barcode"
                               ng-change="vm.check(itemForm.barcode.$valid, vm.item.barCode)"
                               ng-pattern="/^\d+$/" ng-minlength="14" ng-maxlength="255"
                               ng-readonly="vm.item.viewOnly"
                               required/>
                        <ng-messages for="itemForm.barcode.$error" role="alert">
                            <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                            <div ng-message-exp="['minlength']">
                                The barcode should be a minimum of 14 numbers. If it is shorter than 14, then add zeros to the beginning of the barcode
                            </div>
                        </ng-messages>
                    </div>
                </div>
            </div>
        </div>

        <div class="row clearfix">

           <div class="form-group col-md-4">
                <div class="form-group col-xs-12">
                    <label>Category</label>
                    <ui-select ng-model="vm.category"
                           theme="bootstrap"
                           on-select="vm.changeSubcategory()"
                           ng-disabled="!checkPermission['EDIT_ITEM'] || vm.item.viewOnly"
                           ng-required="true">
                        <ui-select-match placeholder="Select category...">{{$select.selected.title}}</ui-select-match>
                        <ui-select-choices repeat="category in vm.categories"
                               minimum-input-length="2"
                               refresh="vm.changeCategory($select.search)"
                               refresh-delay="50" >
                            <div ng-bind-html="category.title | highlight: $select.search"></div>
                        </ui-select-choices>
                    </ui-select>
                </div>

                <div class="form-group col-xs-12">
                    <label>Subcategory</label>
                    <ui-select  multiple name="subcategories"
                           ng-model="vm.item.categories"
                           theme="bootstrap"
                           sortable="true"
                           close-on-select="false"
                           style="min-height: 34px;"
                           ng-disabled="!checkPermission['EDIT_ITEM'] || vm.item.viewOnly"
                           ng-required="true" >
                        <ui-select-match placeholder="Select category...">{{ $item.title }}</ui-select-match>
                        <ui-select-choices repeat="subcategory in vm.subcategories"
                               minimum-input-length="2"
                               refresh="vm.changeSubcategory($select.search)"
                               refresh-delay="50">
                            <div ng-bind-html="subcategory.title | highlight: $select.search"></div>
                        </ui-select-choices>
                    </ui-select>
                    <ng-messages for="itemForm.subcategories.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>
            </div>

            <div class="form-group col-md-4">
                <label class="col-xs-12">Weight/Volume (Item Size)</label>
                <div class="form-group col-xs-8 col-lg-8 col-md-12">
                    <input type="number" min="0.001"  step="0.001" name="itemSize" class="form-control" ng-model="vm.item.itemSize"
                           ng-disabled="vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']"
                           placeholder="Enter item size" required
                           ng-readonly="vm.item.viewOnly" >
                    <ng-messages for="itemForm.itemSize.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>

                <div class="form-group col-xs-4  col-lg-4 col-md-6">
                    <select type="text" name="unitType" class="form-control" ng-model="vm.item.unitType"
                        ng-disabled="(vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']) || vm.item.viewOnly"
                        ng-options="key as key for (key , value) in vm.UNIT_TYPES"
                        placeholder="Enter unit type"
                        ng-readonly="vm.item.viewOnly" >
                    </select>
                    <ng-messages for="itemForm.unitType.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>

                <!-- <div class="form-group col-xs-12">
                    <label>Units</label>
                    <input type="number" name="units" class="form-control" ng-model="vm.item.units"
                       ng-disabled="vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']"
                       placeholder="Enter units count"
                       ng-readonly="vm.item.viewOnly" >
                    <ng-messages for="itemForm.units.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div> -->
            </div>

            <!--<div class="form-group col-md-4">

                <div class="form-group col-xs-12">
                    <label>Serving Per Pack</label>
                    <input type="number" name="servingPerPack" class="form-control" ng-model="vm.item.servingPerPack"
                       ng-disabled="vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']"
                       placeholder="Enter serving per pack" ng-required="false"
                       ng-readonly="vm.item.viewOnly">
                    <ng-messages for="itemForm.unitType.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>

                <label class="form-group col-xs-12">Serving Size</label>

                <div class="form-group col-xs-9">
                    <input type="number" name="servingSize" class="form-control" ng-model="vm.item.servingSize"
                           ng-disabled="vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']"
                           placeholder="Enter serving size" ng-required="false"
                           ng-readonly="vm.item.viewOnly">
                    <ng-messages for="itemForm.unitType.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>

                <div class="form-group col-xs-3">
                    <select type="text" name="servingType" class="form-control"
                        ng-model="vm.item.servingType"
                        ng-disabled="(vm.meta.exist ? !checkPermission['EDIT_ITEM'] : !checkPermission['CREATE_ITEM']) || vm.item.viewOnly"
                        ng-options="key as key for (key , value) in vm.UNIT_TYPES"
                        placeholder="Select serving type"
                        ng-readonly="vm.item.viewOnly">
                    </select>
                    <ng-messages for="itemForm.unitType.$error" role="alert">
                        <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                    </ng-messages>
                </div>
            </div> -->
        </div>

        <div class="clearfix" ng-if="!vm.item.viewOnly">
           <!-- && !($state.params.shopId && $state.params.itemId) -->
            <div class="pull-right">
                <button ng-disabled="inProgress"
                        ng-if="vm.meta.exist ? checkPermission['EDIT_ITEM'] : checkPermission['CREATE_ITEM']"
                        class="btn btn-primary" type="submit">Save</button>
                <button class="btn btn-warning" type="button" ng-click="vm.back()">Cancel</button>
            </div>
        </div>
    </form>
  </div>

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
    <div ng-message="maxlength">This field is too long!</div>
    <div ng-message="pattern">Invalid barcode!</div>
</script>
